package in.cdac.medinfo.csnotk.csnolib.disb.model;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

public class MedicinalProduct {
	
	public MedicinalProduct(String id) {
		this.id = id;
	}
	
	public MedicinalProduct() {
		
	}
	
	private String id;
	
	private Manufacturer manufacturer;

	private Brand brand;

	private Set<MedicineDetail> medicineDetails = new HashSet<>();	
	
	private int version;
	
	private RecordStatus recordStatus;
	
	private Date dateOfCreation;
	
	private Date dateOfModification;
	
	private String medicinalProductSctId;
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Manufacturer getManufacturer() {
		return manufacturer;
	}

	public void setManufacturer(Manufacturer manufacturer) {
		this.manufacturer = manufacturer;
	}

	public Brand getBrand() {
		return brand;
	}

	public void setBrand(Brand brand) {
		this.brand = brand;
	}

	public Set<MedicineDetail> getMedicineDetails() {
		return medicineDetails;
	}

	public void setMedicineDetails(Set<MedicineDetail> medicineDetails) {
		this.medicineDetails = medicineDetails;
	}
	
	public int getVersion() {
		return version;
	}

	public void setVersion(int version) {
		this.version = version;
	}

	public RecordStatus getRecordStatus() {
		return recordStatus;
	}

	public void setRecordStatus(RecordStatus recordStatus) {
		this.recordStatus = recordStatus;
	}

	public Date getDateOfCreation() {
		return dateOfCreation;
	}

	public void setDateOfCreation(Date dateOfCreation) {
		this.dateOfCreation = dateOfCreation;
	}

	public Date getDateOfModification() {
		return dateOfModification;
	}

	public void setDateOfModification(Date dateOfModification) {
		this.dateOfModification = dateOfModification;
	}

	public String getMedicinalProductSctId() {
		return medicinalProductSctId;
	}

	public void setMedicinalProductSctId(String medicinalProductSctId) {
		this.medicinalProductSctId = medicinalProductSctId;
	}

}
